﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace RadCarousel_NoItemsTemplate
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void btnBindEmpty_Click(object sender, RoutedEventArgs e)
		{

			this.MyBorder.Visibility = System.Windows.Visibility.Visible;

			this.MyPanel.ItemsSource = new List<Image>();

		}

		private void btnBindFull_Click(object sender, RoutedEventArgs e)
		{
			this.MyBorder.Visibility = System.Windows.Visibility.Collapsed;
			List<Image> myImages = new List<Image>();

			Image myImage = new Image();
			myImage.Source = new BitmapImage(new Uri("/Images/BennyRaich.jpg", UriKind.Relative));
			myImages.Add(myImage);


			Image myImage1 = new Image();
			myImage1.Source = new BitmapImage(new Uri("/Images/BodeMiller.jpg", UriKind.Relative));
			myImages.Add(myImage1);

			Image myImage2 = new Image();
			myImage2.Source = new BitmapImage(new Uri("/Images/BodeMiller2.jpg", UriKind.Relative));

			myImages.Add(myImage2);

			Image myImage3 = new Image();
			myImage3.Source = new BitmapImage(new Uri("/Images/BodeMiller3.jpg", UriKind.Relative));

			myImages.Add(myImage3);

			Image myImage4 = new Image();
			myImage4.Source = new BitmapImage(new Uri("/Images/HermanMayer.jpg", UriKind.Relative));

			myImages.Add(myImage4);

			Image myImage5 = new Image();
			myImage5.Source = new BitmapImage(new Uri("/Images/MarioMatt.jpg", UriKind.Relative));

			myImages.Add(myImage5);

			foreach (Image img in myImages)
			{
				this.MyPanel.ItemsSource = myImages;
			}
		}
	}
}
